TextDotPoint

Returns or modifies the location, or insertion point, of an annotation text dot object.

Syntax

Rhino.TextDotPoint (strObject [, arrPoint])

Parameters

strObject

Required.  String.  The identifier of the object.

arrPoint

Optional.  Array.  A 3-D point identifying the new location point.

Returns

Array

If a new location is not specified,  the 3-D point identifying the current location if successful.

Array

If a new location is specified,  the 3-D point identifying the previous location if successful.

Null

If not successful, or on error.

Example

Dim strObject

strObject = Rhino.GetObject("Select text dot")

If Rhino.IsTextDot(strObject) Then

  Rhino.AddPoint Rhino.TextDotPoint(strObject)

  Rhino.TextDotPoint strObject, Array(0,0,0)

End If

Also See

AddTextDot

IsTextDot

TextDotFont

TextDotHeight

TextDotText